@echo off
REM KEIN cls am Anfang, da Batch auch von anderer Batch aktiviert werden soll.
REM
REM ###### Parameter prüfen
REM
REM Präfix der ajb-Datei (ajb ist der Suffox für Stapeldateien von PVAStrumento)
IF "%1%" == "" goto m1
REM
REM Praefix der zu demuxenden Datei, optional mit Pfad z.B. h:\ordner\testfile  ohne Suffix .rec
REM             gemuxten Dateien, wobei der Suffix je nach Lage erzeugt wird z.B. mpv, mpa oder ac3
REM                              Lage siehe %4
IF "%2%" == "" goto m1
REM
REM Suffix der zu demuxenden Datei z.B. rec
IF "%3%" == "" goto m1
REM
REM %4  optional Pfad der gemuxten Dateien
REM      ab Root, immer mit abschliessendem \
REM      wenn nicht kodiert, so lokal zur BAT
REM
REM
REM ###### %1.ajb  immer erweitern und NIE nie erzeugen
REM
REM Kommentarzeile im Job 
REM   ist nicht an jeder Stelle zulässig z.B nicht vor der ersten Zeile wie
REM           offeryn pvas job v002019 # DO NOT DELETE THIS LINE
REM      und daher sinnlos
REM   beginnt immer mit "#"
REM
REM
echo offeryn pvas job v002019 # DO NOT DELETE THIS LINE >> %1.ajb
echo # Job Description >> %1.ajb
echo $JOB >> %1.ajb
echo extensions  "mpv" "mpa" "ac3" >> %1.ajb
echo # demux infile videofile audiofile >> %1.ajb
echo demux "%2.%3" "%4%2" "%4%2" >> %1.ajb
echo # Streams to demux >> %1.ajb
echo audio 1 >> %1.ajb
echo video 1 >> %1.ajb
echo # >> %1.ajb
echo # Job Parameters >> %1.ajb
echo $PARMS >> %1.ajb
echo # program options >> %1.ajb
echo beep 1 >> %1.ajb
echo loglevel 2 >> %1.ajb
echo printvstats 1 >> %1.ajb
echo numberall 0 >> %1.ajb
echo fixstart 1 >> %1.ajb
echo sync 1 >> %1.ajb
echo dropgop 1 >> %1.ajb
echo dropwronggop 1 >> %1.ajb
echo ptsjitter 10 >> %1.ajb
echo relaxpts 0 >> %1.ajb
echo droplonger 980 >> %1.ajb
echo strongaudio 1 >> %1.ajb
echo TSfallback 1 >> %1.ajb
echo relaxedts 0 >> %1.ajb
echo dropscrambledts 0 >> %1.ajb
echo IsTS192 0 >> %1.ajb
echo setbr 1 >> %1.ajb
echo setvbr 1 >> %1.ajb
echo setavg 1 >> %1.ajb
echo clearcdf 1 >> %1.ajb
echo drope4 0 >> %1.ajb
echo no_m2check 0 >> %1.ajb
echo patchARinMPEGHeader 0 >> %1.ajb
echo adjusttc 1 >> %1.ajb
echo packsize 0 >> %1.ajb
echo splitvideoFMT 1 >> %1.ajb
echo usevdrmarks 0 >> %1.ajb
echo splitsize 0 >> %1.ajb
echo overlap 1 >> %1.ajb
echo spliteven 0 >> %1.ajb
echo splitaudioFMT 1 >> %1.ajb
echo splitontrack 1 >> %1.ajb
echo audiooffsetacc 1 >> %1.ajb
echo mp2beautify 0 >> %1.ajb
echo mp2strictlen 1 >> %1.ajb
echo vdrac3hack 1 >> %1.ajb
echo writeac3sheader 1 >> %1.ajb
echo goppts 1 >> %1.ajb
echo writeidd 1 >> %1.ajb
echo writeinfo 0 >> %1.ajb
echo save4join 0 >> %1.ajb
echo filenamedelay 0 >> %1.ajb
echo delfileifnoerr 0 >> %1.ajb
echo $ENDS # end section >> %1.ajb
goto ende
:m1
cls
echo PVAStrumento_CreateDemuxJob.bat  Demux-Job als ajb erzeugen
echo.
echo  Aufruf:  PVAStrumento_CreateDemuxJob ajb_file_praefix
echo                                       file_praefix_mit_otionalem_pfad
echo                                       file_suffix
echo                                       [file_ordner]
echo  Bsp. PVAStrumento_CreateDemuxJob  demux h:\test\simpsons rec h:\
echo               h:\test\simpsons.rec demuxen nach h:\
echo.
echo.
echo  ajb_file    Stapeldatei, in PVAStrumento laden per "run batch"
echo.
echo  praefix     zu demuxende Datei: Dateiname ohne Leer- und Sonderzeichen etc.
echo                      optional mit komplettem Pfad ab Root, 
echo                          wenn Pfad nicht kodiert, so lokal zur BAT
echo              Datei muss erst zum Demux-Zeitpunkt vorhanden sein.
echo.
echo  suffix      zu demuxende Datei: Dateisuffix
echo.
echo  file_ordner demuxte Dateien: optional Pfad ab Root und abschliessendem \
echo                          wenn Pfad nicht kodiert, so lokal zur BAT
echo.
echo.
pause
:ende
